无法从源代码构建 SciPy,因为缺少 pybind11

我已经在我的 Macbook 上通过 ssh 连接到我的 Raspberry Pi 3b+。我正在尝试在 Python 3.8 上安装 SciPy,但 apt-get 不起作用,并且通过 pip 安装会冻结我的 Raspberry Pi。我什至尝试增加交换大小,但它仍然冻结。结果,我尝试从源代码构建 SciPy 1.6,但是当我运行 sudo python3 setup.py buildsudo python3 setup.py install 时,它返回 Error: 'pybind11' must be installed before running the build.

我已经使用 python3 -m pip install pybindpython3 -m pip install "pybind11[global]" 安装了 pybind11。我什至可以在 python shell 中导入 pybind11。这是我的包裹清单:

Package         Version
--------------- -------
cycler          0.10.0
Cython          0.29.21
future          0.18.2
kiwisolver      1.3.1
matplotlib      3.3.4
numpy           1.20.1
Pillow          8.1.0
pip             21.0.1
pybind11        2.6.2
pybind11-global 2.6.2
pyparsing       2.4.7
pyserial        3.5
python-dateutil 2.8.1
scikit-rf       0.16.0
setuptools      53.0.0
six             1.15.0
smbus2          0.4.1
stack overflow Can't build SciPy from source because pybind11 missing
原文答案

答案:

作者头像

使用“ PIP安装pybind11”